com.dlsc.flexgantt.model.eventline

## Interface IEventlineModel<T>

- Type Parameters:
    `T` - the type of the objects stored on the eventline
  All Known Implementing Classes:
    DefaultEventlineModel

      public interface IEventlineModel<T>

  A model definition for use with the `Eventline`.
  Since:
    1.0
  Version:
    $Revision: 1.7 $
  Author:
    Dirk Lemmermann

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEventlineModelListener(IEventlineModelListener l)` Adds an eventline model listener.
    `void` | `addEventlineObjects(Collection<T> eventlineObjects)` Adds a collection of eventline objects to the model.
    `Iterator<T>` | `getEventlineObjectsIterator(ITimeSpan span)` Returns an iterator for those eventline objects that are placed on the eventline during the given span.
    `ITimeSpan` | `getTimeSpan(T eventlineObject)` Returns the time span allocated to the given object.
    `void` | `removeEventlineModelListener(IEventlineModelListener l)` Removes a listener from the eventline model.
    `void` | `removeEventlineObjects(Collection<T> eventlineObjects)` Removes a collection of eventline objects from the model.

- - ### Method Detail

    - #### getEventlineObjectsIterator

          Iterator<T> getEventlineObjectsIterator(ITimeSpan span)

      Returns an iterator for those eventline objects that are placed on the eventline during the given span.
      Parameters:
        `span` - the time span for which to return the timeline objects
      Returns:
        an iterator for timeline objects on the eventline (for the given time span)
      Since:
        1.0

    - #### getTimeSpan

          ITimeSpan getTimeSpan(T eventlineObject)

      Returns the time span allocated to the given object.
      Parameters:
        `eventlineObject` - the timeline object
      Returns:
        a time span for the given object
      Since:
        1.0

    - #### addEventlineObjects

          void addEventlineObjects(Collection<T> eventlineObjects)

      Adds a collection of eventline objects to the model.
      Parameters:
        `eventlineObjects` -
      Since:
        1.0
      See Also:
        `removeEventlineObjects(Collection)`

    - #### removeEventlineObjects

          void removeEventlineObjects(Collection<T> eventlineObjects)

      Removes a collection of eventline objects from the model.
      Parameters:
        `eventlineObjects` -
      Since:
        1.0
      See Also:
        `addEventlineObjects(Collection)`

    - #### addEventlineModelListener

          void addEventlineModelListener(IEventlineModelListener l)

      Adds an eventline model listener.
      Parameters:
        `l` - the listener to add
      Since:
        1.0
      See Also:
        `removeEventlineModelListener(IEventlineModelListener)`

    - #### removeEventlineModelListener

          void removeEventlineModelListener(IEventlineModelListener l)

      Removes a listener from the eventline model.
      Parameters:
        `l` - the listener to remove
      Since:
        1.0
      See Also:
        `addEventlineModelListener(IEventlineModelListener)`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.